Bug 136131 - [miniChinput] candidate window should be destroyed after application closed
Summary: [miniChinput] candidate window should be destroyed after application closed
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: miniChinput   
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Qingyu Wang
QA Contact: Bill Huang
URL:
Whiteboard:
Keywords: i18n
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-18 07:06 UTC by Lawrence Lim
Modified: 2014-03-26 00:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-29 07:18:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lawrence Lim 2004-10-18 07:06:59 UTC
Description of problem:
After using (x) to close an application, the candidate window is
destroyed as well.

Version-Release number of selected component (if applicable):
miniChinput-0.0.3-58

How reproducible:
always

Steps to Reproduce:
1.in gdm login as normal user with simplified chinese / gnome session
2.press ALT-F2 to run dialog
3.system-switch-im
4.switch IM from IIIMF to XIM miniChinput
5.Restart X by entering init3 follow by init 5
6.in gdm login as normal user with simplified chinese / gnome session
7.press ALT-F2 to run dialog
8.ctrl-space to activiate miniChinput
9.enter 'hong'
10. click (x) button 
  
Actual results:
Candidate window is not destroyed.

Expected results:
Candidate window shoulb be removed.

Additional info:

Comment 1 Lawrence Lim 2005-11-20 23:30:45 UTC
Candidate window was destroyed after closing application, however, the preedit
buffer was not destroyed. As a result, opening a new application and activate
Input Method will see the previously entered word in the preedit buffer.

Comment 2 Matthew Miller 2006-07-10 21:11:01 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 3 Caius Chance 2006-08-29 07:18:13 UTC
miniChinput is not in fc5/fe5 package lists.


Note You need to log in before you can comment on or make changes to this bug.